Page MenuHomePhabricator

[to triage] Drag-and-drop doesn't work in ContentTranslation
Closed, ResolvedPublic

Description

Drag-and-drop part of the text from one paragraph to another not supported. You can drag-and-drop only inside a single paragraph.

Can it work between a few paragraphs?

When you drag an image from one paragraph to another, there is inserted a link (for example "https://min.wikipedia.org/wiki/Berkas:RavenPoster.jpg") - is that correct?

Related Objects

StatusAssignedTask
ResolvedPginer-WMF
ResolvedNone
ResolvedAmire80
InvalidNone
OpenAmire80
DeclinedNone
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPginer-WMF
OpenNone
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPginer-WMF
Resolvedsanthosh
Resolveddchan
Resolvedsanthosh
Resolvedsanthosh
ResolvedNikerabbit
Opensanthosh
Resolvedsanthosh
ResolvedPginer-WMF
OpenNone
ResolvedPginer-WMF
InvalidNone
ResolvedPetar.petkovic
Resolvedsanthosh
Resolvedsanthosh

Event Timeline

Sunpriat raised the priority of this task from to Needs Triage.
Sunpriat updated the task description. (Show Details)
Sunpriat added a subscriber: Sunpriat.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 18 2015, 10:09 AM
Sunpriat set Security to None.
Sunpriat updated the task description. (Show Details)Jun 18 2015, 10:14 AM
Amire80 triaged this task as Low priority.Jun 18 2015, 11:40 AM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jul 2 2015, 4:57 PM
Pginer-WMF moved this task from CX6 to CX7 on the ContentTranslation board.Jul 21 2015, 4:26 PM
Amire80 moved this task from CX7 to Upstream on the ContentTranslation board.Aug 22 2015, 11:49 AM

I thought that it's a browser issue and moved it to "Upstream", but on closer inspection I see that it may be possible to fix in our code.

I do notice that dragging does work - the mouse seems to "pick up" the selected text. It's the dropping part that fails - nothing happens.

Dragging and dropping does work in VisualEditor. VE uses contenteditable in a much more complicated way, but it's still contenteditable. At the very worst case, this may be fixed by resolving T105447, though it will take time of course.

@Catrope, @Esanders, @dchan, do you maybe have an idea for a quick fix?

Amire80 renamed this task from Drag-and-drop from one paragraph to another to Drag-and-drop doesn't work in ContentTranslation.Sep 29 2015, 5:09 PM
Amire80 moved this task from CX6 to Bugs on the ContentTranslation board.

Now I cannot see that drag and drop works at all, and it also destroys wikilinks. Copying from an essentially duplicate task T114112 by @Laotinant:

Visual feedback when grabbing a selected piece of text in the target language column in the editor seems to suggest that it should work: The mouse pointer changes to a hand when clicking on a selected snippet of text and holding the mouse button. Dragging while still holding the button makes the pointer change to a hand with an arrow next to it and causes the cursor to follow underneath when hovering a text area, suggesting the text snippet is meant to be inserted at that point. Instead, upon releasing the mouse button, the text snippet remains in its original place, the selection gets dropped, and wikilinks disappear from it.

Arrbee renamed this task from Drag-and-drop doesn't work in ContentTranslation to [to triage] Drag-and-drop doesn't work in ContentTranslation.Aug 20 2018, 11:34 AM
Arrbee moved this task from Bugs to Check & Move on the ContentTranslation board.

@santhosh @Pginer-WMF This ticket was checked during the triage meeting this week. It may be important in terms of how images are handled in CX2. Also @Petar.petkovic noticed some section alignment breakages while testing. Can you both please assess this ticket in terms of relevance and priority related to ongoing work? Thanks.

Pginer-WMF added a comment.EditedAug 29 2018, 10:43 AM

I'd consider that the basic drag&drop support the ticket describes is supported on CX2. It is a step forward compared to what CX1 provides.
It can be polished further in CX2, but we have other areas to focus on. So I'd propose to close the ticket and open new ones when we find specific issues with the use of drag & drop based on user behaviour observations.

Pginer-WMF closed this task as Resolved.Aug 29 2018, 10:44 AM
Pginer-WMF claimed this task.